通过


你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Artifact Manifests - List By Artifact Store

获取有关项目清单的信息。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.HybridNetwork/publishers/{publisherName}/artifactStores/{artifactStoreName}/artifactManifests?api-version=2023-09-01

URI 参数

名称 必需 类型 说明
artifactStoreName
path True

string

maxLength: 64
pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]*$

项目存储的名称。

publisherName
path True

string

maxLength: 64
pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]*$

发布者的名称。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

资源组的名称。 名称不区分大小写。

subscriptionId
path True

string

minLength: 1

目标订阅的 ID。

api-version
query True

string

minLength: 1

用于此操作的 API 版本。

响应

名称 类型 说明
200 OK

ArtifactManifestListResult

请求成功。 该作返回生成的 ArtifactManifest 资源。

Other Status Codes

ErrorResponse

描述操作失败的原因的错误响应。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

Get artifact manifest list resource

示例请求

GET https://management.azure.com/subscriptions/subid/resourceGroups/rg/providers/Microsoft.HybridNetwork/publishers/TestPublisher/artifactStores/TestArtifactStore/artifactManifests?api-version=2023-09-01

示例响应

{
  "value": [
    {
      "id": "/subscriptions/subid/providers/microsoft.hybridnetwork/publishers/TestPublisher/artifactStores/TestArtifactStore/artifactManifests/TestManifest",
      "name": "TestManifest",
      "type": "microsoft.hybridnetwork/publishers/artifactStores/artifactManifests",
      "location": "eastus",
      "properties": {
        "provisioningState": "Succeeded",
        "artifactManifestState": "Uploaded",
        "artifacts": [
          {
            "artifactName": "fed-rbac",
            "artifactType": "OCIArtifact",
            "artifactVersion": "1.0.0"
          },
          {
            "artifactName": "nginx",
            "artifactType": "OCIArtifact",
            "artifactVersion": "v1"
          }
        ]
      }
    }
  ]
}

定义

名称 说明
ArtifactManifest

项目清单属性。

ArtifactManifestListResult

项目清单的列表。

ArtifactManifestPropertiesFormat

项目清单属性。

ArtifactManifestState

项目清单状态。

ArtifactType

项目类型。

createdByType

创建资源的标识的类型。

ErrorAdditionalInfo

资源管理错误附加信息。

ErrorDetail

错误详细信息。

ErrorResponse

错误响应

ManifestArtifactFormat

清单项目属性。

ProvisioningState

当前预配状态。

systemData

与创建和上次修改资源相关的元数据。

ArtifactManifest

项目清单属性。

名称 类型 说明
id

string

资源的完全限定资源 ID。 示例 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

location

string

资源所在的地理位置

name

string

资源的名称

properties

ArtifactManifestPropertiesFormat

项目清单属性。

systemData

systemData

包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。

tags

object

资源标记。

type

string

资源的类型。 例如“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts”

ArtifactManifestListResult

项目清单的列表。

名称 类型 说明
nextLink

string

用于获取下一组结果的 URI。

value

ArtifactManifest[]

项目清单的列表。

ArtifactManifestPropertiesFormat

项目清单属性。

名称 类型 说明
artifactManifestState

ArtifactManifestState

项目清单状态。

artifacts

ManifestArtifactFormat[]

项目列表。

provisioningState

ProvisioningState

ArtifactManifest 资源的预配状态。

ArtifactManifestState

项目清单状态。

说明
Unknown
Uploading
Uploaded
Validating
ValidationFailed
Succeeded

ArtifactType

项目类型。

说明
Unknown
OCIArtifact
VhdImageFile
ArmTemplate
ImageFile

createdByType

创建资源的标识的类型。

说明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

资源管理错误附加信息。

名称 类型 说明
info

object

其他信息。

type

string

其他信息类型。

ErrorDetail

错误详细信息。

名称 类型 说明
additionalInfo

ErrorAdditionalInfo[]

错误附加信息。

code

string

错误代码。

details

ErrorDetail[]

错误详细信息。

message

string

错误消息。

target

string

错误目标。

ErrorResponse

错误响应

名称 类型 说明
error

ErrorDetail

错误对象。

ManifestArtifactFormat

清单项目属性。

名称 类型 说明
artifactName

string

项目名称

artifactType

ArtifactType

项目类型。

artifactVersion

string

项目版本。

ProvisioningState

当前预配状态。

说明
Unknown
Succeeded
Accepted
Deleting
Failed
Canceled
Deleted
Converging

systemData

与创建和上次修改资源相关的元数据。

名称 类型 说明
createdAt

string (date-time)

资源创建时间戳(UTC)。

createdBy

string

创建资源的标识。

createdByType

createdByType

创建资源的标识的类型。

lastModifiedAt

string (date-time)

上次修改的资源时间戳(UTC)

lastModifiedBy

string

上次修改资源的标识。

lastModifiedByType

createdByType

上次修改资源的标识的类型。